Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageFlip Class Reference

`#include <vtkImageFlip.h>`

Inheritance diagram for vtkImageFlip:

[legend]
Collaboration diagram for vtkImageFlip:

[legend]
List of all members.

## Detailed Description

This flips an axis of an image. Right becomes left ...

Date:
  2002/06/17 18:11:27

Revision:
  1.34

vtkImageFlip will reflect the data along the filtered axis. This filter is actually a thin wrapper around vtkImageReslice.

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (68%)
  - Gobbi, David (18%)
  - Martin, Ken (5%)

CVS logs (CVSweb):
  - .`h` (`/Imaging/vtkImageFlip.h)`
  - .`cxx` (`/Imaging/vtkImageFlip.cxx)`

Tests:
  vtkImageFlip (Tests)

Definition at line 47 of file vtkImageFlip.h.

## Public Types
typedef vtkImageReslice | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | SetFilteredAxes (int axis)
virtual void | SetFilteredAxis (int)
virtual int | GetFilteredAxis ()
virtual void | SetFlipAboutOrigin (int)
virtual int | GetFlipAboutOrigin ()
virtual void | FlipAboutOriginOn ()
virtual void | FlipAboutOriginOff ()
virtual void | SetPreserveImageExtent (int)
virtual int | GetPreserveImageExtent ()
virtual void | PreserveImageExtentOn ()
virtual void | PreserveImageExtentOff ()
## Static Public Methods
vtkImageFlip * | New ()
int | IsTypeOf (const char *type)
vtkImageFlip * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageFlip ()
| ~vtkImageFlip ()
void | ExecuteInformation (vtkImageData *input, vtkImageData *output)
void | ExecuteInformation ()
## Protected Attributes
int | FilteredAxis
int | FlipAboutOrigin
int | PreserveImageExtent

## Member Typedef Documentation

typedef vtkImageReslice vtkImageFlip::Superclass

| Reimplemented from vtkImageReslice. Definition at line 52 of file vtkImageFlip.h.

## Constructor & Destructor Documentation

vtkImageFlip::vtkImageFlip | ( |  | ) | `[protected]`

vtkImageFlip::~vtkImageFlip | ( |  | ) | `[inline, protected]`

| Definition at line 95 of file vtkImageFlip.h.

## Member Function Documentation

vtkImageFlip* vtkImageFlip::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkImageReslice.

virtual const char* vtkImageFlip::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageReslice.

int vtkImageFlip::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageReslice.

virtual int vtkImageFlip::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageReslice.

vtkImageFlip* vtkImageFlip::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageReslice.

void vtkImageFlip::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageReslice.

virtual void vtkImageFlip::SetFilteredAxis | ( | int |  | ) | `[virtual]`

| Specify which axis will be flipped. This must be an integer between 0 (for x) and 2 (for z).

virtual int vtkImageFlip::GetFilteredAxis | ( |  | ) | `[virtual]`

| Specify which axis will be flipped. This must be an integer between 0 (for x) and 2 (for z).

virtual void vtkImageFlip::SetFlipAboutOrigin | ( | int |  | ) | `[virtual]`

| By default the image will be flipped about its center, and the Origin, Spacing and Extent of the output will be identical to the input. However, if you have a coordinate system associated with the image and you want to use the flip to convert +ve values along one axis to -ve values (and vice versa) then you actually want to flip the image about coordinate (0,0,0) instead of about the center of the image. This method will adjust the Origin of the output such that the flip occurs about (0,0,0). Note that this method only changes the Origin (and hence the coordinate system) the output data: the actual pixel values are the same whether or not this method is used. Also note that the Origin in this method name refers to (0,0,0) in the coordinate system associated with the image, it does not refer to the Origin ivar that is associated with a vtkImageData.

virtual int vtkImageFlip::GetFlipAboutOrigin | ( |  | ) | `[virtual]`

| By default the image will be flipped about its center, and the Origin, Spacing and Extent of the output will be identical to the input. However, if you have a coordinate system associated with the image and you want to use the flip to convert +ve values along one axis to -ve values (and vice versa) then you actually want to flip the image about coordinate (0,0,0) instead of about the center of the image. This method will adjust the Origin of the output such that the flip occurs about (0,0,0). Note that this method only changes the Origin (and hence the coordinate system) the output data: the actual pixel values are the same whether or not this method is used. Also note that the Origin in this method name refers to (0,0,0) in the coordinate system associated with the image, it does not refer to the Origin ivar that is associated with a vtkImageData.

virtual void vtkImageFlip::FlipAboutOriginOn | ( |  | ) | `[virtual]`

| By default the image will be flipped about its center, and the Origin, Spacing and Extent of the output will be identical to the input. However, if you have a coordinate system associated with the image and you want to use the flip to convert +ve values along one axis to -ve values (and vice versa) then you actually want to flip the image about coordinate (0,0,0) instead of about the center of the image. This method will adjust the Origin of the output such that the flip occurs about (0,0,0). Note that this method only changes the Origin (and hence the coordinate system) the output data: the actual pixel values are the same whether or not this method is used. Also note that the Origin in this method name refers to (0,0,0) in the coordinate system associated with the image, it does not refer to the Origin ivar that is associated with a vtkImageData.

virtual void vtkImageFlip::FlipAboutOriginOff | ( |  | ) | `[virtual]`

| By default the image will be flipped about its center, and the Origin, Spacing and Extent of the output will be identical to the input. However, if you have a coordinate system associated with the image and you want to use the flip to convert +ve values along one axis to -ve values (and vice versa) then you actually want to flip the image about coordinate (0,0,0) instead of about the center of the image. This method will adjust the Origin of the output such that the flip occurs about (0,0,0). Note that this method only changes the Origin (and hence the coordinate system) the output data: the actual pixel values are the same whether or not this method is used. Also note that the Origin in this method name refers to (0,0,0) in the coordinate system associated with the image, it does not refer to the Origin ivar that is associated with a vtkImageData.

void vtkImageFlip::SetFilteredAxes | ( | int | axis | ) | `[inline]`

| For compatibility with old scripts. Definition at line 82 of file vtkImageFlip.h.

virtual void vtkImageFlip::SetPreserveImageExtent | ( | int |  | ) | `[virtual]`

| PreserveImageExtentOff wasn't covered by test scripts and its implementation was broken. It is deprecated now and it has no effect (i.e. the ImageExtent is always preserved).

virtual int vtkImageFlip::GetPreserveImageExtent | ( |  | ) | `[virtual]`

| PreserveImageExtentOff wasn't covered by test scripts and its implementation was broken. It is deprecated now and it has no effect (i.e. the ImageExtent is always preserved).

virtual void vtkImageFlip::PreserveImageExtentOn | ( |  | ) | `[virtual]`

| PreserveImageExtentOff wasn't covered by test scripts and its implementation was broken. It is deprecated now and it has no effect (i.e. the ImageExtent is always preserved).

virtual void vtkImageFlip::PreserveImageExtentOff | ( |  | ) | `[virtual]`

| PreserveImageExtentOff wasn't covered by test scripts and its implementation was broken. It is deprecated now and it has no effect (i.e. the ImageExtent is always preserved).

void vtkImageFlip::ExecuteInformation | ( | vtkImageData * | input,
|  | vtkImageData * | output
| ) | `[protected, virtual]`

| Reimplemented from vtkImageReslice.

void vtkImageFlip::ExecuteInformation | ( |  | ) | `[inline, protected, virtual]`

| Reimplemented from vtkImageReslice. Definition at line 98 of file vtkImageFlip.h.

## Member Data Documentation

int vtkImageFlip::FilteredAxis`[protected]`

| Definition at line 101 of file vtkImageFlip.h.

int vtkImageFlip::FlipAboutOrigin`[protected]`

| Definition at line 102 of file vtkImageFlip.h.

int vtkImageFlip::PreserveImageExtent`[protected]`

| Definition at line 103 of file vtkImageFlip.h.

The documentation for this class was generated from the following file:

- Imaging/vtkImageFlip.h